Bug 1117403 - Review Request: pipelight - NPAPI Wrapper Plugin for using Windows plugins in Linux browsers
Summary: Review Request: pipelight - NPAPI Wrapper Plugin for using Windows plugins in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-08 15:23 UTC by Björn 'besser82' Esser
Modified: 2014-08-15 02:33 UTC (History)
1 user (show)

Fixed In Version: wine-1.7.22-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 20:23:48 UTC
Type: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-07-08 15:23:01 UTC
Description:

  Pipelight is a NPAPI wrapper plugin for using Windows plugins in Linux
  browsers and therefore giving you the possibility to access services
  which are otherwise not available for Linux users.  Typical examples of
  such services are Netflix and Amazon Instant, which both use the
  proprietary browser plugin Silverlight.  These services cannot normally
  be used on Linux since this plugin is only available for Windows.

  Pipelight helps you access these services by using the original
  Silverlight plugin directly in your browser, all while giving you a
  better hardware acceleration and performance than a virtual machine.
  Besides Silverlight, you can also use a variety of other plugins that
  are supported by Pipelight.

  Pipelight will take care of installing, configuring and updating all
  supported plugins.  From the perspective of the browser these plugins
  will behave just like any other normal Linux plugin after you have
  enabled them.

  For further information about all supported plugins, their installation,
  configuration and usage, please visit http://pipelight.net/.


Koji Builds:

  rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7117425


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/pipelight.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/pipelight-0.2.7.1-1.fc21.src.rpm


Many thanks for the review in advance!  ^^

Comment 1 Matthias Runge 2014-07-08 18:36:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "MPL (v1.1) GPL (unversioned/unknown version)",
     "Unknown or generated". 2 files have unknown license. 
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.

That is actually true, because of wine

[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.

Upstream does not include  license texts, but simply contains a line:
The code is licensed under the MPL 1.1/GPL 2.0/LGPL 2.1.
For more information take a look at the license block in linux/basicplugin.c.

[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5621760 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pipelight-0.2.7.1-1.fc20.x86_64.rpm
          pipelight-0.2.7.1-1.fc20.src.rpm
pipelight.x86_64: W: dangling-symlink /usr/share/pipelight/wine /usr/bin/wine
pipelight.x86_64: W: dangling-symlink /usr/share/pipelight/wine64 /usr/bin/wine64
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pipelight
pipelight.x86_64: W: dangling-symlink /usr/share/pipelight/wine /usr/bin/wine
pipelight.x86_64: W: dangling-symlink /usr/share/pipelight/wine64 /usr/bin/wine64
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
pipelight (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/bash
    /usr/bin/gpg
    /usr/bin/wget
    /usr/bin/zenity
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    mozilla-filesystem(x86-64)
    rtld(GNU_HASH)
    wine(x86-64)



Provides
--------
pipelight:
    libpipelight.so()(64bit)
    pipelight
    pipelight(x86-64)



Unversioned so-files
--------------------
pipelight: /usr/lib64/pipelight/libpipelight.so

Source checksums
----------------
https://bitbucket.org/mmueller2012/pipelight/get/v0.2.7.1.tar.gz#/pipelight-0.2.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 48d0a245d53e045bc9e45dee0e124b3ec4dd9ebd30b3fbac2f787cbe0a46b9b2
  CHECKSUM(SHA256) upstream package : 48d0a245d53e045bc9e45dee0e124b3ec4dd9ebd30b3fbac2f787cbe0a46b9b2
https://www.gnu.org/licenses/gpl-2.0.txt :
  CHECKSUM(SHA256) this package     : 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643
  CHECKSUM(SHA256) upstream package : 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643
https://www.gnu.org/licenses/lgpl-2.1.txt :
  CHECKSUM(SHA256) this package     : dc626520dcd53a22f727af3ee42c770e56c97a64fe3adb063799d8ab032fe551
  CHECKSUM(SHA256) upstream package : dc626520dcd53a22f727af3ee42c770e56c97a64fe3adb063799d8ab032fe551
http://www.mozilla.org/MPL/1.1/index.txt#/mpl-1.1.txt :
  CHECKSUM(SHA256) this package     : bb4680b13c3190429464a8308a07d7d891e6454349fb7be856e02405b25b1195
  CHECKSUM(SHA256) upstream package : bb4680b13c3190429464a8308a07d7d891e6454349fb7be856e02405b25b1195


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1117403
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Excellent work!

Package approved

Comment 2 Matthias Runge 2014-07-08 18:41:33 UTC
please add bsd 3 clause to  licenses.

Comment 3 Björn 'besser82' Esser 2014-07-08 18:54:24 UTC
(In reply to Matthias Runge from comment #2)
> please add bsd 3 clause to  licenses.

Fixed.

---------------------

%changelog

  * Tue Jul 08 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.7.1-2
  - added BSD to License (#1117403)
    see: https://bugzilla.redhat.com/show_bug.cgi?id=1117403#c2

  * Mon Jul 07 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.7.1-1
  - initial rpm release (#1117403)


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/pipelight.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/pipelight-0.2.7.1-2.fc20.src.rpm

Comment 4 Matthias Runge 2014-07-08 18:55:56 UTC
Thanks, now all my issues are resolved and I can finally

APPROVE

this package

Comment 5 Björn 'besser82' Esser 2014-07-08 19:03:00 UTC
Many thanks for the quick review, Matthias!  ^^

---------------------

New Package SCM Request
=======================
Package Name: pipelight
Short Description: NPAPI Wrapper Plugin for using Windows plugins in Linux browsers
Upstream URL: http://pipelight.net/
Owners: besser82 awjb
Branches: epel7 f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-07-08 20:06:46 UTC
Git done (by process-git-requests).

Comment 7 Björn 'besser82' Esser 2014-07-08 20:23:48 UTC
Package imported into SCM.  Builds are short to come.

Comment 8 Björn 'besser82' Esser 2014-07-10 10:20:02 UTC
Package Change Request
======================
Package Name: pipelight
New Branches: f21
Owners: besser82 awjb

Comment 9 Gwyn Ciesla 2014-07-10 13:08:38 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-07-15 09:25:24 UTC
pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc20,pipelight-selinux-0.1.0-1.fc20,wine-1.7.22-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc20,pipelight-selinux-0.1.0-1.fc20,wine-1.7.22-3.fc20

Comment 11 Fedora Update System 2014-07-15 09:28:57 UTC
pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc19,pipelight-selinux-0.1.0-1.fc19,wine-1.7.22-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pipelight-0.2.7.1.1-0.14.git20140714.61348bc7adad.fc19,pipelight-selinux-0.1.0-1.fc19,wine-1.7.22-3.fc19

Comment 12 Fedora Update System 2014-08-07 15:27:38 UTC
pipelight-0.2.7.3-1.fc20, pipelight-selinux-0.2.1-2.fc20, wine-1.7.22-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-08-15 02:33:27 UTC
wine-1.7.22-3.fc19, pipelight-0.2.7.3-1.fc19, pipelight-selinux-0.2.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.